Recommend journals API
Overview
The Recommend journals API provides journal recommendations
based on content analysis of an uploaded manuscript.
This API helps editors and authors determine the most suitable journals for
a manuscript submission. This API requires that a manuscript has already been uploaded with the
Manuscript upload API →.
The API requires Recommend journals feature in your organization's plan.
Endpoint
http://prophy.eismea.eu/api/external/recommend-journals/{origin_id}/
Method: GET
Path parameters
| Parameter | Description |
|---|---|
|
origin_id
string
|
Client-side manuscript ID |
Query parameters
| Parameter | Description |
|---|---|
|
journals_corpus
string
|
Contact your account manager to link journals to folders.
|
Example GET request
Save the key in an environment variable: run this command, paste the key and press Enter. The key isn't shown on the screen and doesn't get into your shell history.
read -s PROPHY_API_KEY && export PROPHY_API_KEY
Then run the request:
curl -G "http://prophy.eismea.eu/api/external/recommend-journals/{origin_id}/" \
-H "X-ApiKey: $PROPHY_API_KEY" \
-d "journals_corpus=org_journals"
Response object
| Field | Description |
|---|---|
|
recommended_journals
array of objects
|
List of recommended journals |
recommended_journals
| Field | Description |
|---|---|
|
id
integer
|
Journal ID in the Prophy database. You can use this ID in search queries to find articles published in this specific journal, as shown in this example search. |
|
title
string
|
Journal title in the Prophy database |
|
score
float
|
Relevance score for this journal (higher is more relevant) |
|
publisher_name
nullable string
|
Publisher name in the Prophy database |
|
folder_id
nullable integer
|
ID of the folder to which the journal is linked. Used to make navigation between client platform and Prophy platform. |
|
folder_name
nullable string
|
Name of the folder to which the journal is linked.
Used to make navigation between client platform and Prophy platform.
This folder name is exactly the same as was provided in folder field
in Manuscript upload API →.
|
|
relevant_articles
array of objects
|
List of up to 10 relevant articles. |
recommender_journals.relevant_articles
A list of up to 10 articles relevant to the manuscript.
| Field | Description |
|---|---|
|
id
integer
|
Article ID in the Prophy database |
|
title
string
|
Article title |
|
year
int
|
Article publication year |
Example GET response
{
"recommended_journals": [
{
"id": 125267,
"title": "Journal of High Energy Physics",
"score": 5.5,
"publisher_name": "Elsevier BV",
"folder_id": 345,
"folder_name": "Journal of High Energy Physics",
"relevant_articles": [
{
"id": 37983,
"title": "Phenomenology of GeV-scale scalar portal",
"year": 2019
},
{
"id": 38049,
"title": "Searches for new physics at SND@LHC",
"year": 2021
},
{
"id": 7025,
"title": "Light scalar production from Higgs bosons and FASER 2",
"year": 2019
},
{
"id": 7016,
"title": "Phenomenology of GeV-scale Heavy Neutral Leptons",
"year": 2018
},
{
"id": 7022,
"title": "Sensitivity of the intensity frontier experiments for neutrino and scalar portals: analytic estimates",
"year": 2019
},
{
"id": 37921,
"title": "Scaled momentum distributions for K0s and Lambda/bar Lambda in DIS at HERA",
"year": 2011
}
]
},
{
"id": 119574,
"title": "Physics Letters B",
"score": 3.36,
"publisher_name": "Elsevier BV",
"folder_id": 346,
"folder_name": "Physics Letters B",
"relevant_articles": [
{
"id": 37954,
"title": "Production of $Z^0$ bosons in elastic and quasi-elastic $ep$ collisions at HERA",
"year": 2012
},
{
"id": 37906,
"title": "Search for single-top production in ep collisions at HERA",
"year": 2011
},
{
"id": 37926,
"title": "Measurement of the t dependence in exclusive photoproduction of Upsilon(1S) mesons at HERA",
"year": 2011
},
{
"id": 37999,
"title": "Connection between diphoton and triboson channels in new physics searches",
"year": 2018
}
]
},
{
"id": 132195,
"title": "Nuclear Physics",
"score": 0.76,
"publisher_name": "Elsevier BV",
"folder_id": 347,
"folder_name": "Nuclear Physics",
"relevant_articles": [
{
"id": 37900,
"title": "Inclusive-jet photoproduction at HERA and determination of alphas",
"year": 2012
}
]
}
]
}